@import "./normalize.min.css";

@import url('https://fonts.googleapis.com/css2?family=Titillium+Web:ital,wght@0,300;0,400;0,600;0,700;1,400&display=swap');


:root {
  --main_color: rgb(255, 255, 255);
  --dark_color: #3c4761;
  --padding_heading: 120px;
}

html {
  font-family: "Titillium Web", sans-serif;
  font-size: 18px;
}

body,
h1,
h2,
p {
  margin: 0;
}

button,
button:active,
button:focus {
  outline: none;
}

a {
  text-decoration: none;
  color: var(--main_color);
}

ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

.header {
  background-color: #87509c;
  padding-top: 58px;
  position: absolute;
  width: 100%;
}

.header_wrap {
  max-width: 1100px;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  box-sizing: border-box;
  padding-left: 40px;
  padding-right: 30px;
}


.header_nav {
  width: 430px;
}

.header_menu {
  display: flex;
  justify-content: space-between;
  width: 100%;
  padding-top: 4px;
}

.header_menu_item {
  font-size: 16px;
  text-transform: uppercase;
  line-height: 1.125;
  padding: 8px 17px;
}


.header_menu_item:hover{
  border-radius: 7px;
  background-color: #643a79;
  transition: all 0.2s linear;
}


.burger_menu {
  display: none;
}

.menu__toggle {
  opacity: 0;
}

.welcome {
  background-color: #87509c;
  display: flex;
  justify-content: center;
  height: 100vh;
  align-items: center;
}

.welcome_heading {
  font-size: 42px;
  color: var(--main_color);
  font-weight: bold;
  line-height: 1.158;
  margin-top: 98px;
  margin-top: 89px;
}

.welcome_block_heading {
  margin-bottom: 58px;
}

.welcome_wrap {
  max-width: 900px;
  justify-content: center;
  display: flex;
  flex-direction: column;
  text-align: center;
}

.main_heading::after{
  content: " ";
  position: absolute;
  width: 86px;
  height: 4px;
  background-color: #000000;
  opacity: 0.1;
  bottom: -25px;
  left: calc(50% - 43px);
}

.team_wrapper{
  max-width: 50%;
}

.main_heading {
  position: relative;
  font-size: 42px;
  font-weight: bold;
  line-height: 0.800;
  text-align: center;
  margin-bottom: 40px;
  letter-spacing: 4.1px;
}

.main_heading-dark{
  color: var(--dark_color);
}
.main_heading-white{
  color: var(--main_color);
}

.services {
  background-color: #17c2a4;
  padding-top: var(--padding_heading);
  padding-bottom: 150px;
  box-sizing: border-box;
}

.serices_descrip {
  max-width: 590px;
  color: var(--main_color);
  margin: 0 auto;
  text-align: center;
  margin-bottom: 80px;
}

.services_wrapper {
  max-width: 1110px;
  display: flex;
  justify-content: space-between;
  margin: 0 auto;
  flex-wrap: wrap;
}

.services_block {
  width: 228px;
  box-sizing: border-box;
  text-align: center;
}

.services_block_descrip {
  color: var(--main_color);
  font-weight: 300;
  font-size: 16px;
}

.services_block_title {
  font-size: 24px;
  font-weight: bold;
  text-transform: uppercase;
  color: var(--main_color);
}

.services_block_img {
  height: 133px;
  margin-bottom: 40px;
}

.services_block_img_size {
  max-width: 200px;
}

.team {
  padding-top: var(--padding_heading);
  padding-bottom: 125px;
  background-color: #e7f1f8;
  box-sizing: border-box;
}

.team_descrip {
  text-align: center;
  margin-bottom: 80px;
}

.team_wrapper {
  max-width: 1110px;
  display: flex;
  justify-content: space-between;
  margin: 0 auto;
  flex-wrap: wrap;
}

.team_block {
  width: 260px;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
}

.team_block_photo {
  width: 200px;
  height: 200px;
  background-color: #878787;
  border-radius: 50%;
}

.team_block_contact {
  display: flex;
}

.team_block_name {
  padding-top: 40px;
  font-size: 24px;
  color: var(--dark_color);
  font-weight: bold;
  text-transform: uppercase;
  line-height: 0.75;
}
.team_block_position {
  padding-top: 17px;
  font-size: 16px;
  color: rgb(48, 186, 231);
  line-height: 1.125;
}
.team_block_descrip {
  padding-top: 30px;
  padding-bottom: 30px;
  font-size: 16px;
  color: var(--dark_color);
  line-height: 1.5;
  width: 200px;
}

.skills {
  padding-top: var(--padding_heading);
  box-sizing: border-box;
  padding-bottom: 125px;
}

.portfolio {
  background-color: #ffdd99;
  box-sizing: border-box;
  padding-top: var(--padding_heading);
  padding-bottom: 110px;
}

.portfolio_filter {
  text-align: center;
  margin-bottom: 80px;
}

.portfolio_filter_button {
  width: 85px;
  height: 40px;
  border: none;
  color: #393939;
  background-color: #ebc985;
  border-radius: 7px;
}

.portfolio_filter_button:hover {
   background-color: #c0a56f;
}

.active_button {
  background-color: var(--main_color);
  width: 85px;
  height: 40px;
  border: none;
  color: #393939;
  border-radius: 7px;
}

.portfolio_wrapper {
  max-width: 1110px;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  margin: 0 auto;
}

.portfolio_block {
  width: 50%;
  margin-bottom: 60px;
}

.portfolio_block_descrip {
  color: rgb(57, 57, 57);
  text-transform: uppercase;
  line-height: 1.083;
  text-align: center;
}

.portfolio_block_img {
  background-image: url("../img/laptop.png");
  width: 541px;
  height: 311px;
  background-repeat: no-repeat;
  box-sizing: border-box;
  margin-bottom: 18px;
}

.portfolio_block_img_size {
  max-width: 413px;
  height: 260px;
  padding: 14px 0px 0px 63px;/*padding: 14px 36px 30px 35px;*/
}

.portfolio_wrap_button {
  text-align: center;
}

.testimonials {
  padding-top: var(--padding_heading);
  background-color: #d74680;
  box-sizing: border-box;
}

.testimonials_wrapper {
  max-width: 1110px;
  display: flex;
  justify-content: space-between;
  margin: 0 auto;
  flex-wrap: wrap;
}

.testimonials_block {
  width: 538px;
  height: 166px;
  display: flex;
  justify-content: space-around;
  margin-bottom: 140px;
}

.testimonials_block_text {
  max-width: 336px;
  margin: 0 auto;
}

.testimonials_block_text_about {
  font-size: 21px;
  font-style: italic;
  color: var(--main_color);
  line-height: 1.486;
}
.testimonials_block_img {
  background-color: #787878;
  border-radius: 50%;
  width: 95px;
  height: 95px;
}

.testimonials_block_text_name {
  padding-top: 26px;
  font-size: 24px;
  color: var(--main_color);
  font-weight: bold;
  text-transform: uppercase;
  line-height: 1.083;
}

.testimonials_block_text_position {
  font-size: 18px;
  color: var(--main_color);
  line-height: 1.444;
  color: rgb(255, 221, 153);
}

.message {
  padding-top: var(--padding_heading);
  padding-bottom: 115px;
  background-color: #3c5499;
  box-sizing: border-box;
}

.message_form {
  margin-top: 80px;
}

.message_form_block_input {
  display: flex;
  max-width: 860px;
  margin: 0 auto;
  justify-content: space-between;
}

.input {
  width: 416px;
  height: 60px;
  background-color: #273a71;
  border: none;
  color: var(--main_color);
  outline: none;
  padding-left: 25px;
  box-sizing: border-box;
  border-radius: 7px;
}

.star {
  color: rgb(255,0,0);
}

.placeinput {
  position: relative;
}

.place_holder { 
  cursor: text;
  position: absolute;
  top: 18px;
  left: 25px;
  display: none;
  color: var(--main_color);
}

.placeinput input:invalid + .place_holder,
.placeinput textarea:invalid + .place_holder {
  display: inline;
}


.placeinput .input:focus + .place_holder,
.placeinput textarea:focus + .place_holder {
  display: none;
}

.message_form_block_text {
  max-width: 860px;
  display: flex;
  flex-direction: column;
  margin: 0 auto;
  align-items: center;
  padding-top: 27px;
}
.message_form_block_text_field {
  width: 860px;
  height: 200px;
  background-color: #273a71;
  border: none;
  outline: none;
  color: var(--main_color);
  padding-left: 25px;
  padding-top: 20px;
  box-sizing: border-box;
  border-radius: 7px;
}

.footer {
  background-color: #344b8e;
  box-sizing: border-box;
  padding-top: 50px;
  padding-bottom: 50px;
}

.footer_nav {
  max-width: 1110px;
  margin: 0 auto;
}

.footer_nav_list {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}

.footer_nav_list_link {
  font-size: 26px;
  font-weight: 400;

}

.footer_nav_list_link:hover {
  color: #30bae7;
}

.progress {
  width: 160px;
  border-radius: 50%;
  height: 160px;
  border-radius: 50%;
  background-color: black;
}

.progress-bar {
  position: relative;
}

.progress-bar:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 160px;
  height: 160px;
  border-radius: 50%;
  border: 10px solid red;
}

.style_icon {
  color: var(--main_color);
}

.facebook,
.twitter,
.linkedin,
.mail {
  cursor: pointer;
  background-color: #bdd1df;
  width: 34px;
  height: 34px;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-right: 10px;
}

.facebook:hover {
  background-color: rgb(42, 42, 206);
}

.twitter:hover {
  background-color: rgb(21, 181, 255);
}

.linkedin:hover {
  background-color: rgb(184, 184, 247);
}

.mail:hover {
  background-color: rgb(153, 28, 28);
}

.skills_progress_bar {
 display: flex;
 flex-wrap: wrap;
 max-width: 1100px;
 justify-content: space-between;
 margin: 0 auto;
}

.skills_progress_bar_block {
  width: 260px;
  height: 216px;
  text-align: center;
}

.skills_progress_bar_block_descrip {
  font-size: 24px;
  color: rgb(60, 71, 97);
  font-weight: bold;
  text-transform: uppercase;
  line-height: 0.75;
  margin-top: 30px;
}

.circular-chart {
  display: block;
  margin: 0px auto;
  width: 160px;
  height: 160px;
}

.circle-bg {
  fill: none;
  stroke: #eee;
  stroke-width: 3.8;
}

.circle {
  fill: none;
  stroke-width: 2.8;
  animation: progress 1s ease-out forwards;
}

@keyframes progress {
  0% {
    stroke-dasharray: 0 100;
  }
}

.circular-chart.blue .circle {
  stroke: #30bae7;
}

.circular-chart.pink .circle {
  stroke: #d74680;
}

.circular-chart.green .circle {
  stroke: #15c7a8;
}

.circular-chart.orange .circle {
  stroke: #eb7d4b;
}


.percentage {
  fill: rgb(60, 71, 97);
  font-size: 0.5em;
  text-anchor: middle;
}



.button-blue{
  margin-top: 60px;
  background-color: #30bae7;
  border: none;
  border-bottom: 3px solid #299ec5;
}

.button-blue:hover {
  background-color: #299ec5;
}

.button-green {
  border: none;
  background-color: #17c2a4;
  border-bottom: 3px solid #14a58c;
 
}

.button-green:hover {
  background-color: #14a58c;
}

.button {
  width: 293px;
  height: 70px;
  line-height: 1.455;
  font-size: 18px;
  font-weight: 600;
  color: var(--main_color);
  text-transform: uppercase;
  border-radius: 4px;
}

.button-orange {
  border: none;
  background-color: #eb7d4b;
  border-bottom: 3px solid #c86a40;
}
.button-orange:hover {
  background-color: #c86a40;
}
